package com.example.devicetopiclinux.Topic.AccessKeyClient;

import com.aliyun.openservices.iot.api.Profile;
import com.aliyun.openservices.iot.api.message.MessageClientFactory;
import com.aliyun.openservices.iot.api.message.api.MessageClient;
import com.aliyun.openservices.iot.api.message.callback.MessageCallback;
import com.aliyun.openservices.iot.api.message.entity.Message;

/**
 * 这个订阅是可以接收所有设备的topic（包括自定义的topic）
 */
public class AccessKeyClient {
    public static void main(String[] args) {
        // 阿里云accessKey
        String accessKey = "LTAIwVWadh8wqb1U";
        // 阿里云accessSecret
        String accessSecret = "NR5tpnODy7RSe80q4AYNietf5uJ3cD";
        // regionId
        String regionId = "cn-shanghai";
        // 阿里云uid
        String uid = "1392557120734932";
        // endPoint:  https://${uid}.iot-as-http2.${region}.aliyuncs.com
        String endPoint = "https://" + uid + ".iot-as-http2." + regionId + ".aliyuncs.com";

        // 连接配置
        Profile profile = Profile.getAccessKeyProfile(endPoint, regionId, accessKey, accessSecret);

        // 构造客户端
        MessageClient client = MessageClientFactory.messageClient(profile);

        // 数据接收
        client.connect(messageToken -> {
            Message m = messageToken.getMessage();
            System.out.println("receive message from " + m);
            return MessageCallback.Action.CommitSuccess;
        });

    }

}
